LoaderHandler (Java SE 13 & JDK 13 )
Description: declaration: module: java.rmi, package: java.rmi.server, interface: LoaderHandler
Keywords: java.rmi.server.LoaderHandler interface

Module java.rmi
Package java.rmi.server

# Interface LoaderHandler

    @Deprecated
    public interface LoaderHandler

Deprecated.
no replacement
`LoaderHandler` is an interface used internally by the RMI runtime in previous implementation versions. It should never be accessed by application code.

Since:
  1.1

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static String` | `packagePrefix` | Deprecated. package of system `LoaderHandler` implementation.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Object` | `getSecurityContext​(ClassLoader loader)` | Deprecated. no replacement
  `Class<?>` | `loadClass​(String name)` | Deprecated. no replacement
  `Class<?>` | `loadClass​(URL codebase, String name)` | Deprecated. no replacement

- ## Field Details

  - ### packagePrefix

    static final String packagePrefix
    Deprecated.
    package of system `LoaderHandler` implementation.
    See Also:
      Constant Field Values

- ## Method Details

  - ### loadClass

    @Deprecated Class<?> loadClass​(String name) throws MalformedURLException, ClassNotFoundException
    Deprecated.
    no replacement
    Loads a class from the location specified by the `java.rmi.server.codebase` property.
    Parameters:
      `name` - the name of the class to load
    Returns:
      the `Class` object representing the loaded class
    Throws:
      `MalformedURLException` - if the system property java.rmi.server.codebase contains an invalid URL
      `ClassNotFoundException` - if a definition for the class could not be found at the codebase location.
    Since:
      1.1

  - ### loadClass

    @Deprecated Class<?> loadClass​(URL codebase, String name) throws MalformedURLException, ClassNotFoundException
    Deprecated.
    no replacement
    Loads a class from a URL.
    Parameters:
      `codebase` - the URL from which to load the class
      `name` - the name of the class to load
    Returns:
      the `Class` object representing the loaded class
    Throws:
      `MalformedURLException` - if the `codebase` paramater contains an invalid URL
      `ClassNotFoundException` - if a definition for the class could not be found at the specified URL
    Since:
      1.1

  - ### getSecurityContext

    @Deprecated Object getSecurityContext​(ClassLoader loader)
    Deprecated.
    no replacement
    Returns the security context of the given class loader.
    Parameters:
      `loader` - a class loader from which to get the security context
    Returns:
      the security context
    Since:
      1.1